uuid: a8a222a9-898e-4ed8-a0e8-3d28b336f4e3
langcode: ru
status: open
dependencies:
  enforced:
    module:
      - webform
_core:
  default_config_hash: W8LHFRO51r0rBKzjUCRv8qxnRs6aTKBTxa8jwn7tBP8
open: null
close: null
uid: 1
template: false
id: contact
title: 'Обратная связь'
description: 'Основная форма обратной связи.'
category: ''
elements: "'#attributes':\n  class:\n    - webform-feedback\nh2_1:\n  '#title': 'Напишите нам'\n  '#type': h2\n  '#required': true\nlabel_1:\n  '#title': 'Ваше имя'\n  '#type': label\n  '#required': true\nname:\n  '#placeholder': 'Введите своё имя'\n  '#type': textfield\n  '#required': true\nlabel_2:\n  '#title': 'Ваш email'\n  '#type': label\n  '#required': true\nemail:\n  '#placeholder': 'Введите свой email'\n  '#type': email\n  '#required': true\nlabel_3:\n  '#title': Тема\n  '#type': label\n  '#required': true\nsubject:\n  '#placeholder': 'Введите тему своего сообщения'\n  '#type': textfield\n  '#required': true\n  '#test': 'Тестирование контактной формы [site:name]'\nlabel_4:\n  '#title': Сообщение\n  '#type': label\n  '#required': true\nmessage:\n  '#placeholder': 'Введите своё сообщение для отправки'\n  '#type': textarea\n  '#required': true\n  '#test': 'Вы можете проигнорировать этот блок.'\nactions:\n  '#type': webform_actions\n  '#title': Отправить\n  '#submit__label': 'Отправить сообщение'"
css: ".webform-feedback {\r\n  margin: 50px auto;\r\n  max-width: 500px;\r\n  width: 100%;\r\n  background-color: transparent;\r\n  padding: 5px;\r\n  border: 1px solid #ccc;\r\n  border-radius: 3px;\r\n}\r\n\r\n.webform-feedback input[type=submit] {\r\n  box-sizing: border-box;\r\n  display: inline-block;\r\n  position: relative;\r\n  text-align: center;\r\n  line-height: normal;\r\n  cursor: pointer;\r\n  padding: 4px 1.5em;\r\n  border: 1px solid #a6a6a6;\r\n  color: #333;\r\n  text-decoration: none;\r\n  text-shadow: 0 1px hsla(0,0%,100%,0.6);\r\n  font-weight: 600;\r\n  font-size: 14px;\r\n  font-size: 0.875rem;\r\n  transition: all 0.1s;\r\n  border-color: #1e5c90;\r\n  background-color: #0071b8;\r\n  background-image: -webkit-linear-gradient(top,#007bc6,#0071b8);\r\n  background-image: linear-gradient(to bottom,#007bc6,#0071b8);\r\n  color: #fff;\r\n  text-shadow: 0 1px hsla(0,0%,0%,0.5);\r\n  font-weight: 700;\r\n  margin-top: 15px;\r\n}\r\n\r\n.webform-feedback label {\r\n  color: #444; \r\n}\r\n\r\n.webform-feedback input[type=text],\r\n.webform-feedback input[type=email],\r\n.webform-feedback textarea {\r\n  margin: 5px 0;\r\n  border: 1px solid #ccc;\r\n  padding: 5px;\r\n  color: #333;\r\n  outline: none;\r\n  width: 100%;\r\n}"
javascript: ''
settings:
  ajax: true
  ajax_scroll_top: form
  page: true
  page_submit_path: form/contact
  page_confirm_path: form/contact/confirmation
  form_submit_once: false
  form_exception_message: 'Не удалось отобразить эту веб-форму.'
  form_open_message: 'Эта форма еще не открыта для представления.'
  form_close_message: 'Извините... Эта форма закрыта для новых представлений.'
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_required: false
  form_unsaved: false
  form_disable_back: false
  form_submit_back: true
  form_autofocus: false
  form_details_toggle: false
  form_login: false
  form_login_message: ''
  submission_label: ''
  submission_log: false
  submission_user_columns: {  }
  submission_login: false
  submission_login_message: ''
  submission_exception_message: ''
  submission_locked_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_start_label: ''
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_track: name
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: inline
  confirmation_title: ''
  confirmation_message: 'Ваше сообщение было отправлено.'
  confirmation_url: '<front>'
  confirmation_attributes:
    class:
      - webform-feedback-submit
  confirmation_back: false
  confirmation_back_label: 'Вернуться к форме.'
  confirmation_back_attributes:
    class:
      - webform-feedback-submit
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: true
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  email_confirmation:
    id: email
    label: 'Подтверждение почтой'
    handler_id: email_confirmation
    status: true
    conditions: {  }
    weight: 1
    settings:
      states:
        - completed
      to_mail: '[webform_submission:values:email:raw]'
      to_options: {  }
      cc_mail: ''
      cc_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      from_mail: default
      from_options: {  }
      from_name: 'по умолчанию'
      subject: '[webform_submission:values:subject:raw]'
      body: '[webform_submission:values:message:value]'
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      html: true
      attachments: false
      twig: false
      debug: false
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
  email_notification:
    id: email
    label: 'Уведомления по email'
    handler_id: email_notification
    status: true
    conditions:
      enabled:
        '':
          '': ''
    weight: 1
    settings:
      states:
        - completed
      to_mail: ppk54@yandex.ru
      to_options: {  }
      cc_mail: ''
      cc_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      from_mail: '[webform_submission:values:email:raw]'
      from_options: {  }
      from_name: '[webform_submission:values:name:raw]'
      subject: '[webform_submission:values:subject:raw]'
      body: '[webform_submission:values:message:value]'
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      html: true
      attachments: false
      twig: false
      debug: true
      reply_to: ''
      return_path: ''
      sender_mail: '[webform_submission:values:email:raw]'
      sender_name: '[webform_submission:values:name:raw]'
